org.tmatesoft.svn.core.io

## Interface ISVNLocationSegmentHandler

    public interface ISVNLocationSegmentHandler

The ISVNLocationSegmentHandler is an interface for location segment handlers which is used in the `SVNRepository.getLocationSegments(String, long, long, long, ISVNLocationSegmentHandler)` method.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

### Method Summary

Methods
`void` `handleLocationSegment(SVNLocationSegment locationSegment)` Handles a next location segment.

### Method Detail

#### handleLocationSegment

    void handleLocationSegment(SVNLocationSegment locationSegment)
                               throws SVNException

Handles a next location segment.

Parameters:
  `locationSegment` - location segment
Throws:
  `SVNException`